## tophat 2.1.0+dfsg

=== src/samtools-0.1.18/Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_USE_KNETFILE -D_CURSES_LIB=0
KNETFILE_O=	knetfile.o
LOBJS=		bgzf.o kstring.o bam_aux.o bam.o bam_import.o sam.o bam_index.o	\
			bam_pileup.o bam_lpileup.o bam_md.o razf.o faidx.o bedidx.o \
			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o kprobaln.o bam_cat.o
AOBJS=		bam_tview.o bam_plcmd.o sam_view.o	\
			bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o	\
			bamtk.o kaln.o bam2bcf.o bam2bcf_indel.o errmod.o sample.o \
			cut_target.o phase.o bam2depth.o
PROG=		samtools_0.1.18
INCLUDES=	-I.
SUBDIRS=	. bcftools
LIBPATH=
LIBCURSES=	-lcurses

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

.PHONY:all lib clean cleanlocal
.PHONY:all-recur lib-recur clean-recur cleanlocal-recur install-recur

lib:libbam.a

libbam.a:$(LOBJS)
		$(AR) -csru $@ $(LOBJS)

samtools_0.1.18:lib-recur $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -Lbcftools $(LIBPATH) libbam.a -lbcf -lm -lz #$(LIBCURSES)

razip:razip.o razf.o $(KNETFILE_O)
		$(CC) $(CFLAGS) -o $@ razf.o razip.o $(KNETFILE_O) -lz

bgzip:bgzip.o bgzf.o $(KNETFILE_O)
		$(CC) $(CFLAGS) -o $@ bgzf.o bgzip.o $(KNETFILE_O) -lz

razip.o:razf.h
bam.o:bam.h razf.h bam_endian.h kstring.h sam_header.h
sam.o:sam.h bam.h
bam_import.o:bam.h kseq.h khash.h razf.h
bam_pileup.o:bam.h razf.h ksort.h
bam_plcmd.o:bam.h faidx.h bcftools/bcf.h bam2bcf.h
bam_index.o:bam.h khash.h ksort.h razf.h bam_endian.h
bam_lpileup.o:bam.h ksort.h
bam_tview.o:bam.h faidx.h
bam_sort.o:bam.h ksort.h razf.h
bam_md.o:bam.h faidx.h
sam_header.o:sam_header.h khash.h
bcf.o:bcftools/bcf.h
bam2bcf.o:bam2bcf.h errmod.h bcftools/bcf.h
bam2bcf_indel.o:bam2bcf.h
errmod.o:errmod.h
phase.o:bam.h khash.h ksort.h
bamtk.o:bam.h

faidx.o:faidx.h razf.h khash.h
faidx_main.o:faidx.h razf.h


libbam.1.dylib-local:$(LOBJS)
		libtool -dynamic $(LOBJS) -o libbam.1.dylib -lc -lz

libbam.so.1-local:$(LOBJS)
		$(CC) -shared -Wl,-soname,libbam.so -o libbam.so.1 $(LOBJS) -lc -lz

dylib:
		@$(MAKE) cleanlocal; \
		case `uname` in \
			Linux) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.so.1-local;; \
			Darwin) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.1.dylib-local;; \
			*) echo 'Unknown OS';; \
		esac


cleanlocal:
		rm -fr gmon.out *.o a.out *.exe *.dSYM razip bgzip $(PROG) *~ *.a *.so.* *.so *.dylib

clean:cleanlocal-recur

## tophat 2.0.0

=== debian/changelog ===
tophat (2.0.0-2) unstable; urgency=low

  * debian/upstream: BibTeX conform author syntax
  * debian/patces/bashism_in_shell_script.patch: Fix bashism in shell script
    Closes: #671813
  * debhelper 9 (control+compat)
  * debian/rules: Create some manpages using help2man

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2012 13:26:38 +0200

tophat (2.0.0-1) unstable; urgency=low

  [ Charles Plessy ]
  * YAML syntax correction

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 2.0.0
  * updated debian/patches
  * debian/control added libboost-thread-dev dependency,
    added bowtie2 to Suggests:
  * debian/control  Standards-Version: 3.9.3 Depends: bowtie2
  * debian/copyright updated Format, removed seqan copyright statements
  * debian/patches removed unneeded patches
  * debian/get-orig-source - removes shipped with tophat SeqAn files.

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 14 Apr 2012 12:47:32 +0200

tophat (1.4.1-2) unstable; urgency=low

  [ Carlos Borroto ]
  * added bowtie as a binary dependency
  * suggests cufflinks

  [ Andreas Tille ]
  * debian/control: Added myself to uploaders
  * debian/patches/remove_cflag_handling_in_configure.patch: Enable better
    support for different architectures (Thanks to Peter Michael Green
    <plugwash@p10link.net> for the patch)
    Closes: #660309
  * debian/upstream: Added references

 -- Andreas Tille <tille@debian.org>  Sat, 18 Feb 2012 08:22:50 +0100

tophat (1.4.1-1) unstable; urgency=low

  * Team upload.
  * Initial upload to Debian archive.

  [ Carlos Borroto ]
  * New upstream release

  [ Charles Plessy ]
  * Corrected VCS URL.
  * Minor description changes.
  * Recommend bowtie.
  * debian/copyright:
    - Normalised with config-edit --application dpkg-copyright.
    - Documented SeqAn and m4 macros.
  * Merged patches bam2samtools and fix_includes_path.patch (same purpose).
  * Build-depend only on python.
  * Tighten build-dependancy on sequan-dev.

 -- Charles Plessy <plessy@debian.org>  Mon, 06 Feb 2012 16:12:29 +0900

tophat (1.4.0-1) UNRELEASED; urgency=low

  * New upstream release
    - debian/patches/fix_undefined_reference.patch

 -- Carlos Borroto <carlos.borroto@gmail.com>  Tue, 10 Jan 2012 11:49:39 -0500

tophat (1.3.3-1) UNRELEASED; urgency=low

  TODO:
  * src/SeqAn-1.2 should be excluded
    - tophat depends on seqan library which already exists in debian 
  
  [Alexandre Mestiashvili]
  * New upstream release 
  * Removed dh-make template from watch file
  * Added initial copyright data , removed templates , added Source  
  * debian/compat version 8
  * debian/control 
    - Maintainer: Debian Med Packaging Team
      <debian-med-packaging@lists.alioth.debian.org>
    - DM-Upload-Allowed: yes
    - Added myself to Uploaders:
    - added correct Vcs-Git , Vcs-Browser fields
    - Standards-Version: 3.9.2
    - added build-dependency quilt
    - added seqan-dev as dependency
  * debian/rules
    - removed dh-make template 
  * debian/control Added python dependency to binary package
  * debian/control Description shouldn't start with package name 
  * debian/rules removed quilt patch management
  * Added DEP3 headers to patches.
  * Added Pre-Depends: dpkg (>= 1.15.6) (xz compression) Fixed syntax-error in debian/copyright

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 05 Jan 2012 14:37:19 +0100

tophat (1.3.1-1ppa1~lucid1) lucid; urgency=low

  * New upstream version

 -- Carlos Borroto <carlos.borroto@gmail.com>  Thu, 23 Jun 2011 11:02:22 -0400

tophat (1.3.0-1ppa1~lucid1) lucid; urgency=low

  * Backported to lucid

 -- Carlos Borroto <carlos.borroto@gmail.com>  Wed, 08 Jun 2011 14:56:32 -0400

tophat (1.3.0-1) UNRELEASED; urgency=low

  * Initial release
  * debian/patches/fix_includes_path.patch
  * debian/patches/fix-configure.patch

 -- Carlos Borroto <carlos.borroto@gmail.com>  Wed, 08 Jun 2011 14:34:56 -0400

=== debian/control ===
Source: tophat
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
 Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libbam-dev (>=0.1.16),
 zlib1g-dev, dh-autoreconf, python (>=2.6.6-3~), seqan-dev (>= 1.3~),
 libboost-thread-dev, help2man
Standards-Version: 3.9.3
Homepage: http://tophat.cbcb.umd.edu/
Vcs-Git: git://git.debian.org/debian-med/tophat.git
Vcs-Browser: http://git.debian.org/?p=debian-med/tophat.git

Package: tophat
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.6.6-3~), bowtie2
Suggests: cufflinks, bowtie
Description: fast splice junction mapper for RNA-Seq reads
 TopHat aligns RNA-Seq reads to mammalian-sized genomes using the ultra
 high-throughput short read aligner Bowtie, and then analyzes the
 mapping results to identify splice junctions between exons. 
 TopHat is a collaborative effort between the University of Maryland
 Center for Bioinformatics and Computational Biology and the
 University of California, Berkeley Departments of Mathematics and
 Molecular and Cell Biology.

## tophat 2.0.3

=== debian/changelog ===
tophat (2.0.3-1) unstable; urgency=low

  * Imported Upstream version 2.0.3

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 09 Jun 2012 11:06:21 +0200

## tophat 2.0.5

=== debian/changelog ===
tophat (2.0.5-1) unstable; urgency=low

  [ Alexandre Mestiashvili ]
  * Imported Upstream version 2.0.5 

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 05 Oct 2012 10:56:26 +0200

tophat (2.0.4-1) UNRELEASED; urgency=low

  [ Carlos Borroto ]
  * Imported Upstream version 2.0.4


 -- Carlos Borroto <carlos.borroto@gmail.com>  Thu, 21 Jun 2012 14:30:19 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Package: tophat
 Architecture: any
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.6.6-3~), bowtie2
+Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.6.6-3~), bowtie2 | bowtie
 Suggests: cufflinks, bowtie
 Description: fast splice junction mapper for RNA-Seq reads
  TopHat aligns RNA-Seq reads to mammalian-sized genomes using the ultra

## tophat 2.0.6

=== debian/changelog ===
tophat (2.0.6-1) unstable; urgency=low

  * Team upload

  [ Carlos Borroto ]
  * Imported Upstream version 2.0.6

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Nov 2012 14:54:31 +0900

## tophat 2.0.8

=== debian/changelog ===
tophat (2.0.8-1) unstable; urgency=low

  * Imported Upstream version 2.0.8

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 02 Mar 2013 12:38:32 +0100

tophat (2.0.7-1) unstable; urgency=low

  * Imported Upstream version 2.0.7

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sat, 23 Feb 2013 11:45:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1
bindir=$(CURDIR)/debian/$(pkg)/usr/bin

%:
	dh $@ --with autoreconf

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_auto_install:
	dh_auto_install

	# try to create man pages whereever possible
	mkdir -p $(mandir)
	help2man --no-info --no-discard-stderr  -h "" \
	    --name='converts bam directly into fastx' \
	    --version-string="$(version)" \
	         $(bindir)/bam2fastx > $(mandir)/bam2fastx.1
	help2man --no-info --no-discard-stderr \
	    --name='TopHat maps short sequences from spliced transcripts to whole genomes' \
	    --version-string="$(version)" \
	         $(bindir)/tophat > $(mandir)/tophat.1

=== debian/watch ===
version=3
http://tophat.cbcb.umd.edu/downloads/tophat-([-0-9\.]*)\.tar\.gz

## tophat 2.0.8b

=== debian/changelog ===
tophat (2.0.8b-1ubuntu1) saucy; urgency=low

  * Link against boost system.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 13:51:28 +0100

tophat (2.0.8b-1) unstable; urgency=low

  * Imported Upstream version 2.0.8b
    Closes: #707059

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Tue, 07 May 2013 22:58:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: tophat
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
  Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libbam-dev (>=0.1.16),
  zlib1g-dev, dh-autoreconf, python (>=2.6.6-3~), seqan-dev (>= 1.3~),
- libboost-thread-dev, help2man
-Standards-Version: 3.9.3
+ libboost-thread-dev, libboost-system-dev, help2man
+Standards-Version: 3.9.4
 Homepage: http://tophat.cbcb.umd.edu/
-Vcs-Git: git://git.debian.org/debian-med/tophat.git
-Vcs-Browser: http://git.debian.org/?p=debian-med/tophat.git
+Vcs-Git: git://anonscm.debian.org/debian-med/tophat.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/tophat.git
 
 Package: tophat
 Architecture: any

## tophat 2.0.9

=== debian/changelog ===
tophat (2.0.9-1ubuntu1) trusty; urgency=low

  * Merge from Debian, remaining changes:
    - Link against boost system.  
  * Specify multiarch boost libdir location.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Wed, 30 Oct 2013 00:26:37 +0000

tophat (2.0.9-1) unstable; urgency=low

  * d/get-orig-source: place tarballs to ../tarballs/
  * d/control: use canonical vcs fields, Standards-Version: 3.9.4  
  * d/changelog: updated source field
  * refreshed patches
  * Imported Upstream version 2.0.9

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 04 Jul 2013 13:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
  Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
  Andreas Tille <tille@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+include /usr/share/dpkg/default.mk
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
@@ -13,6 +15,9 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Z xz
+
+override_dh_auto_configure:
+	dh_auto_configure -- --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://tophat.cbcb.umd.edu/downloads/tophat-([-0-9.]*\w?)\.tar\.gz

## tophat 2.0.10

=== debian/changelog ===
tophat (2.0.10-1) unstable; urgency=low

  * Imported Upstream version 2.0.10

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 Nov 2013 09:57:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: tophat
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
  Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
  Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libbam-dev (>=0.1.16),
  zlib1g-dev, dh-autoreconf, python (>=2.6.6-3~), seqan-dev (>= 1.3~),
- libboost-thread-dev, libboost-system-dev, help2man
-Standards-Version: 3.9.4
+ libboost-thread-dev, help2man
+Standards-Version: 3.9.5
 Homepage: http://tophat.cbcb.umd.edu/
 Vcs-Git: git://anonscm.debian.org/debian-med/tophat.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/tophat.git

## tophat 2.0.12+dfsg

=== debian/changelog ===
tophat (2.0.12+dfsg-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * d/watch: new url
  * Imported Upstream version 2.0.12+dfsg
  * d/patches/fix_build_w_seqan1.4.patch: patch from Manuel Holtgrewe 
    resolving #733352.
     removed const_ness_part1.patch as the new patch solves the problem 
     completely
    Closes: #733352
  * debian/patches/fix_includes_path.patch: exclude SeqAn-1.3 from configure.ac

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 03 Jul 2014 21:06:10 +0200

tophat (2.0.11+dfsg-1) UNRELEASED; urgency=medium

  * New upstream version
  * debian/copyright: Update contact
  * Move debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * debian/rules:
     - Make sure boost libraries will be found
     - some more invocations to help2man

 -- Andreas Tille <tille@debian.org>  Tue, 18 Mar 2014 13:54:41 +0100

=== debian/control ===
Source: tophat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
           Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libbam-dev (>= 0.1.16),
               zlib1g-dev,
               dh-autoreconf,
               python,
               seqan-dev (>= 1.3~),
               libboost-system-dev,
               libboost-thread-dev,
               help2man
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/tophat.git
Vcs-Git: git://anonscm.debian.org/debian-med/tophat.git
Homepage: http://ccb.jhu.edu/software/tophat

Package: tophat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         bowtie2 | bowtie
Suggests: cufflinks,
          bowtie
Description: fast splice junction mapper for RNA-Seq reads
 TopHat aligns RNA-Seq reads to mammalian-sized genomes using the ultra
 high-throughput short read aligner Bowtie, and then analyzes the
 mapping results to identify splice junctions between exons. 
 TopHat is a collaborative effort between the University of Maryland
 Center for Bioinformatics and Computational Biology and the
 University of California, Berkeley Departments of Mathematics and
 Molecular and Cell Biology.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1
bindir=$(CURDIR)/debian/$(pkg)/usr/bin

# according to dpkg-architecture(1) this should be set to support manual invocation
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_installman:
	dh_installman

	# try to create man pages whereever possible
	mkdir -p $(mandir)
	help2man --no-info --no-discard-stderr  -h "" \
	    --name='tophat component converting bam directly into fastx' \
	    --version-string="$(version)" \
	         $(bindir)/bam2fastx > $(mandir)/bam2fastx.1
	help2man --no-info --no-discard-stderr -h "-h" \
	    --name='tophat component to convert junctions in BED format' \
	    --version-string="$(version)" \
	         $(bindir)/bed_to_juncs > $(mandir)/bed_to_juncs.1
	help2man --no-info --no-discard-stderr -h "-h" \
	    --name='tophat component taking NCBI seq_contig file and maps contig coords' \
	    --version-string="$(version)" \
	         $(bindir)/contig_to_chr_coords > $(mandir)/contig_to_chr_coords.1
	help2man --no-info --no-discard-stderr \
	    --name='TopHat maps short sequences from spliced transcripts to whole genomes' \
	    --version-string="$(version)" \
	         $(bindir)/tophat > $(mandir)/tophat.1

get-orig-source:
	uscan --verbose --force-download --repack --repack-compression xz

## tophat 2.0.13+dfsg

=== debian/changelog ===
tophat (2.0.13+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Adapted patches
  
  [ Alexandre Mestiashvili]
  * debian/patches/hardening4samtols.patch: add hardening flags for 
    embedded copy of samtools

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Sun, 26 Oct 2014 15:53:02 +0100

tophat (2.0.12+dfsg-3) unstable; urgency=medium

  * Since tophat depends from bowtie|bowtie2 and now both versions
    are available only on amd64 tophat itself is also
     Architecture: amd64 kfreebsd-amd64
  * Do not "Suggests: bowtie" since it is just in "Depends"
  * cme fix dpkg-control
  * d/copyright: fix "empty-short-license-in-dep5-copyright" lintian
    warnings

 -- Andreas Tille <tille@debian.org>  Thu, 25 Sep 2014 08:08:34 +0200

tophat (2.0.12+dfsg-2) unstable; urgency=medium

  * d/rules:
     - Fix syntax of uscan call
     - Remove redundant enforcement of xz compression
  * d/control: Versioned Build-Depends: seqan-dev (>= 1.4)
    Closes: #754664

 -- Andreas Tille <tille@debian.org>  Fri, 22 Aug 2014 10:04:23 +0200

## tophat 2.0.14+dfsg

=== debian/changelog ===
tophat (2.0.14+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.0.14+dfsg
  * d/patches: applied cme fix dpkg, s/Descriptions/Description/

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Wed, 29 Apr 2015 15:10:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
-
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
 
 override_dh_installman:
 	dh_installman
@@ -43,4 +40,4 @@
 	         $(bindir)/tophat > $(mandir)/tophat.1
 
 get-orig-source:
-	uscan --verbose --force-download --repack --repack-compression xz
+	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
	http://ccb.jhu.edu/software/tophat/downloads/tophat-([-0-9.]*\w?)\.tar\.gz

## tophat 2.1.0+dfsg

=== debian/changelog ===
tophat (2.1.0+dfsg-1build1) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:56:12 +0000

tophat (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 18 Jul 2015 17:42:53 +0200

=== debian/control ===
--- 
+++ 
@@ -11,23 +11,22 @@
                zlib1g-dev,
                dh-autoreconf,
                python,
-               seqan-dev (>= 1.3~),
+               seqan-dev (>= 1.4),
                libboost-system-dev,
                libboost-thread-dev,
                help2man
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/tophat.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/tophat.git
 Vcs-Git: git://anonscm.debian.org/debian-med/tophat.git
 Homepage: http://ccb.jhu.edu/software/tophat
 
 Package: tophat
-Architecture: any
+Architecture: amd64 kfreebsd-amd64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          python,
          bowtie2 | bowtie
-Suggests: cufflinks,
-          bowtie
+Suggests: cufflinks
 Description: fast splice junction mapper for RNA-Seq reads
  TopHat aligns RNA-Seq reads to mammalian-sized genomes using the ultra
  high-throughput short read aligner Bowtie, and then analyzes the

## tophat 2.1.1+dfsg

=== debian/changelog ===
tophat (2.1.1+dfsg-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:50:36 +0000

tophat (2.1.1+dfsg-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:33:04 +0000

tophat (2.1.1+dfsg-2) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * Fix building with GCC 6.
    Closes: #811881.

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Sascha Steinbiss <sascha@steinbiss.name>  Sat, 14 May 2016 15:53:10 +0000

tophat (2.1.1+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1+dfsg
  * Refresh and delete unused patches
  * Apply cme fix dpkg
  * Export additional hardening flags - hardening=+all
  * Don't install 3rd party software (intervaltree,sortedcontainers)
  * Fix Makefile for the embedded copy of samtools-0.1.18
  * d/copyright:
    - Add Files: stanza for samtools-0.1.18
    - Add to Files-Excluded: intervaltree and sortedcontainers
    - Fix Source url

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 17 Mar 2016 14:22:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tophat
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
            Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
            Andreas Tille <tille@debian.org>
@@ -7,7 +8,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                autotools-dev,
-               libbam-dev (>= 0.1.16),
+               libbam-dev,
                zlib1g-dev,
                dh-autoreconf,
                python,
@@ -15,9 +16,9 @@
                libboost-system-dev,
                libboost-thread-dev,
                help2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/tophat.git
-Vcs-Git: git://anonscm.debian.org/debian-med/tophat.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/tophat.git
 Homepage: http://ccb.jhu.edu/software/tophat
 
 Package: tophat

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
 mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
	http://ccb.jhu.edu/software/tophat/downloads/tophat-([-0-9.]*\w?)\.tar\.gz

## tophat 2.1.1+dfsg1

=== debian/changelog ===
tophat (2.1.1+dfsg1-2) unstable; urgency=medium

  * Fix Makefile.am
    Closes: #906510
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Remove unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Sat, 18 Aug 2018 09:28:30 +0200

tophat (2.1.1+dfsg1-1) unstable; urgency=medium

  * Team upload

  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Nadiya Sitdykova ]
  * add info about debian/tests/test_data

  [ Fabian Klötzl ]
  * remove convenience copy of samtools.
    Closes: #780816
  * adapt tophat script to recent samtools version

  [ Andreas Tille ]
  * Remove unused license paragraph
  * Standards-Version: 4.1.1
  * Really remove samtools code copy also from source tarball
  * Versioned Depends: samtools (>= 1.5)
  * d/watch: enable numbered dfsg-appendices

 -- Fabian Klötzl <fabian@kloetzl.info>  Wed, 06 Dec 2017 16:13:31 +0100

tophat (2.1.1+dfsg-4) unstable; urgency=medium

  * Build-Depends: bowtie + Architecture: any
    Closes: #873866
  * Standards-Version: 4.1.0 (no changes needed)
  * Autoreconf is default with debhelper 10

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2017 13:36:19 +0200

tophat (2.1.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite 

  [ Andreas Tille ]
  * debhelper 10 (use --no-parallel to avoid build problems)
  * Standards-Version: 4.0.0 (no changes needed)
  * Drop unneeded gbp.conf
  * d/rules: use DEB_SOURCE

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Fri, 14 Jul 2017 21:15:50 -0400

=== debian/control ===
Source: tophat
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Carlos Borroto <carlos.borroto@gmail.com>,
           Alexandre Mestiashvili <alex@biotec.tu-dresden.de>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               libbam-dev,
               zlib1g-dev,
               python,
               seqan-dev (>= 1.4),
               libboost-system-dev,
               libboost-thread-dev,
               help2man,
               bowtie
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/tophat
Vcs-Git: https://salsa.debian.org/med-team/tophat.git
Homepage: http://ccb.jhu.edu/software/tophat

Package: tophat
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python,
         bowtie2 | bowtie,
         samtools (>= 1.5)
Suggests: cufflinks
Description: fast splice junction mapper for RNA-Seq reads
 TopHat aligns RNA-Seq reads to mammalian-sized genomes using the ultra
 high-throughput short read aligner Bowtie, and then analyzes the
 mapping results to identify splice junctions between exons. 
 TopHat is a collaborative effort between the University of Maryland
 Center for Bioinformatics and Computational Biology and the
 University of California, Berkeley Departments of Mathematics and
 Molecular and Cell Biology.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1
bindir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin

# according to dpkg-architecture(1) this should be set to support manual invocation
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-boost-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installman:
	dh_installman

	# try to create man pages whereever possible
	mkdir -p $(mandir)
	help2man --no-info --no-discard-stderr  -h "" \
	    --name='tophat component converting bam directly into fastx' \
	    --version-string="$(DEB_VERSION)" \
	         $(bindir)/bam2fastx > $(mandir)/bam2fastx.1
	help2man --no-info --no-discard-stderr -h "-h" \
	    --name='tophat component to convert junctions in BED format' \
	    --version-string="$(DEB_VERSION)" \
	         $(bindir)/bed_to_juncs > $(mandir)/bed_to_juncs.1
	help2man --no-info --no-discard-stderr -h "-h" \
	    --name='tophat component taking NCBI seq_contig file and maps contig coords' \
	    --version-string="$(DEB_VERSION)" \
	         $(bindir)/contig_to_chr_coords > $(mandir)/contig_to_chr_coords.1
	help2man --no-info --no-discard-stderr \
	    --name='TopHat maps short sequences from spliced transcripts to whole genomes' \
	    --version-string="$(DEB_VERSION)" \
	         $(bindir)/tophat > $(mandir)/tophat.1

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*//g" \
	http://ccb.jhu.edu/software/tophat/downloads/tophat-([-0-9.]*\w?)\.tar\.gz
